#

API Docs for: 1.3.0
Show: Inherited Protected Private Deprecated

# Circle Class

Defined in: `src/pixi/core/Circle.js:5`
Module: PIXI

## Constructor

### `Circle`

(

- `x`
- `y`
- `radius`

)

Defined in `src/pixi/core/Circle.js:5`

#### Parameters:

- `x` Number

  The X coord of the upper-left corner of the framing rectangle of this circle

- `y` Number

  The Y coord of the upper-left corner of the framing rectangle of this circle

- `radius` Number

  The radius of the circle

- Index
- Methods
- Properties

## Item Index

### Methods

- clone
- contains

### Properties

- radius
- x
- y

## Methods

### `clone`

()

Defined in `src/pixi/core/Circle.js:36`

#### Returns:

a copy of the polygon

### `contains`

(

- `x`
- `y`

)

Defined in `src/pixi/core/Circle.js:45`

#### Parameters:

- `x` Number

  The X coord of the point to test

- `y` Number

  The Y coord of the point to test

#### Returns:

if the x/y coords are within this polygon

## Properties

### `radius`

Number

Defined in `src/pixi/core/Circle.js:28`

Default: 0

### `x`

Number

Defined in `src/pixi/core/Circle.js:14`

Default: 0

### `y`

Number

Defined in `src/pixi/core/Circle.js:21`

Default: 0